• R/O
  • SSH

pm_diskd: Commit

※ リポジトリは、pm-diskd ブランチが https://github.com/linux-ha-japan/pm_diskd-1.0 へ、pm-diskd-2.0ブランチが https://github.com/linux-ha-japan/pm_diskd へ移行しました。

Pacemaker 対応ディスク故障監視機能。

Pacemaker-1.0公式リポジトリのクローンに対し、パッチ作成用のブランチを作成して管理する。
ブランチ名: pm-diskd

初回 hg clone 実行後は、hg update -r pm-diskd を実行すること。

Heartbeat-2.1.4 用 hb-diskd(*) のPacemaker対応版
(*) http://sourceforge.jp/projects/linux-ha/releases/?package_id=10555


Commit MetaInfo

Revision394d3ac4329d44d29a75e3a66497d1ace2baa332 (tree)
Time2008-08-07 17:53:05
AuthorAndrew Beekhof <abeekhof@suse...>
CommiterAndrew Beekhof

Log Message

Low: Build: Replace the heartbeat changelog with a dummy one

Change Summary

Incremental Difference

diff -r b347fd326b9d -r 394d3ac4329d debian/changelog
--- a/debian/changelog Thu Aug 07 10:40:47 2008 +0200
+++ b/debian/changelog Thu Aug 07 10:53:05 2008 +0200
@@ -1,1049 +1,8 @@
1-heartbeat (2.1.2+hg.11310.702e4f418ca8-3) unstable; urgency=low
2-
3- * Add dependacy on gawk as it is required by the OCF IPaddr resource
4- (closes: #447932)
5-
6- -- Simon Horman <horms@debian.org> Mon, 29 Oct 2007 15:37:49 +0900
7-
8-heartbeat (2.1.2+hg.11310.702e4f418ca8-2) unstable; urgency=low
9-
10- * Add patches in debian/patches/ which went missing in action somewhere
11-
12- -- Simon Horman <horms@debian.org> Sat, 29 Sep 2007 11:16:33 +0900
13-
14-heartbeat (2.1.2+hg.11310.702e4f418ca8-1) unstable; urgency=low
15-
16- * New Upstream:
17- - Snapshot of: http://hg.linux-ha.org/dev/shortlog/702e4f418ca8
18- - See: http://www.gossamer-threads.com/lists/linuxha/users/42476
19- - Dowloaded: http://hg.linux-ha.org/dev/archive/obs-2.1.2-4.tar.bz2
20- - Ran ./ConfigureMe configure && make dist
21- - Used resulting tarball as orig.tar.gz for this release
22- - The downloaded STABLE-2.1.0.tar.bz2 could not be used as
23- bootstraping it to the point where the code could be built
24- resulted in changes that could not be represented in the diff.gz
25- - Added the contents of lrm/test/testcases/ from obs-2.1.2-4.tar.bz2.
26- These was not included in the tarball due to an error
27- in the Makefile.am in that directory which has subsequently
28- been fixed by http://hg.linux-ha.org/dev/shortlog/b0b696766097
29- - Added the files in lrm/test/ from obs-2.1.2-4.tar.bz2.
30- These was not included in the tarball due to an error
31- in the Makefile.am in that directory which has subsequently
32- been fixed by http://hg.linux-ha.org/dev/shortlog/7c31795636db and
33- http://hg.linux-ha.org/dev/shortlog/e7a4ddfa7cd6
34- (closes: #444278)
35- * Make package binMMU safe. Thanks to Lior Kaplan.
36- (closes: #435974)
37- * Remove ipmilan stonith module as it seems to be cronically broken
38- - Remove the build dependancy on libopenipmi-dev (>= 2.0.1) accordingly
39- * Add dependancy on libperl-dev as libperl is needed
40- (though I am not sure why)
41- * Remove duplicate changelog
42- (closes: #443163)
43-
44- -- Simon Horman <horms@debian.org> Fri, 28 Sep 2007 12:27:58 +0900
45-
46-heartbeat (2.1.2-1) unstable; urgency=low
47-
48- * New Upstream
49- - Fix file relocation problems
50- (closes: #434829)
51- - Fix IPaddr's handling of CIDR netmasks
52- - Ran ./ConfigureMe bootstrap && make distclean &&
53- rm ltdl.m4 libtool.m4 autoconf automake autoheader
54- to effect changes made to configure.in
55- * Add openhpi stonith module
56- - Add build dependancy on libopenhpi-dev
57- - Add usr/lib/stonith/plugins/stonith2/bladehpi.so to heartbeat.files
58- * IPv6 configure check
59- - For the ipv6 check to work Debian ia64 currently needs to check
60- "sys/types.h", a patch went into the tree a while ago to fix this.
61- However, at the 11th hour a patch went into 2.1.2 to reverse this
62- change as it breaks the build on RHEL4. So for now, until a proper
63- fix is made, just reverse that change in Debian packages.
64- - Ran ./ConfigureMe bootstrap && make distclean &&
65- rm ltdl.m4 libtool.m4 autoconf automake autoheader
66- to effect changes made to configure.in
67- - Patch: ipv6-check.patch
68-
69- -- Simon Horman <horms@debian.org> Tue, 31 Jul 2007 11:01:16 +0900
70-
71-heartbeat (2.1.1-1) unstable; urgency=low
72-
73- * New Upstream
74- * Remove merged patches
75- - README.config-heartbeat-2.patch
76- - README.config-heartbeat.patch
77- - ipaddr2-bashism.patch
78- - ipv6addr-21-char-devname.patch
79- - ipv6addr-find_if-overflow.patch
80- - ipv6addr-scanf-return.patch
81- - ldirectord-init.patch
82- - configure-sys-types.h.patch
83- * After unpacking apply patches and run autoconf to effect
84- changes to configure.in
85- * Update files included in heartbeat, heartbeat-dev and ldirectord packages
86- * Update rules file to reflect that /usr/lib/heartbeat/cts/README
87- has been moved to usr/share/heartbeat/cts/README.
88- This README is installed as /usr/share/doc/heartbeat/README.cts
89-
90- -- Simon Horman <horms@debian.org> Wed, 25 Jul 2007 14:15:38 +0900
91-
92-heartbeat (2.0.8-10) unstable; urgency=low
93-
94- * Remove apparently bogus build-dependacy on modutils
95- Thanks to Russell Coker for spotting this.
96- A bug was subsequently filed as the result of some automated testing.
97- (closes: #432441)
98- * Build dependancy on libsnmp-dev rather than libsnmp10-dev | libsnmp-dev
99- as libsnmp10-dev does not seem to exist (any more?)
100- * Change heartbeat-gui's dependancy on heartbeat to a suggests,
101- as heartbat-gui can access heartbeat remotely
102- (closes: #430082)
103-
104- -- Simon Horman <horms@debian.org> Thu, 19 Jul 2007 13:38:35 +0900
105-
106-heartbeat (2.0.8-9) unstable; urgency=low
107-
108- * Run autoconf so that the FTBFS on ia64 fix included in
109- 2.0.8-8 actually takes effect. Bahh!
110-
111- -- Simon Horman <horms@debian.org> Thu, 31 May 2007 19:37:43 +0900
112-
113-heartbeat (2.0.8-8) unstable; urgency=low
114-
115- * Use sys/types.h instead of asm/types.h when trying to detect
116- the preseance of linux/icmpv6.h. Resolves FTBFS on ia64
117- Patch: configure-sys-types.h.patch
118- * Remove linux-kernel-headers for ia64 added in 2.0.8-7 as
119- a) it didn't resolve the problem and b) the types.h change
120- above does.
121- * Use << instead of < for dependancy relations
122- * Add --enable-glib-malloc to configure's arguments
123- on advice from Andrew Beekhof
124-
125- -- Simon Horman <horms@debian.org> Thu, 31 May 2007 18:26:10 +0900
126-
127-heartbeat (2.0.8-7) unstable; urgency=low
128-
129- * Add a (tempoary) build dependancy on linux-kernel-headers for ia64
130- to get around a curious autobuild problem.
131- See: http://lists.debian.org/debian-ia64/2007/05/msg00003.html
132-
133- -- Simon Horman <horms@debian.org> Fri, 25 May 2007 16:07:22 +0900
134-
135-heartbeat (2.0.8-5) unstable; urgency=low
136-
137- * The heartbeat-2-dev.dirs and friends change in 2.0.8-4 closes
138- #424192, not #424053 (which is also fixed by a different change
139- in 2.0.8-4)
140- * Add missing dummy package for stonith
141-
142- -- Simon Horman <horms@debian.org> Thu, 17 May 2007 15:43:55 +0900
143-
144-heartbeat (2.0.8-4) unstable; urgency=low
145-
146- * Create a Debian init script for ldirectord
147- Thanks to Ratiu Petru Iulius
148- Patch: ldirectord-init.patch
149- (closes: #391974)
150- * Documentation path of ldirectord should be /usr/share/doc/ldirectord,
151- not /usr/share/doc/ldirectord-2
152- * Change priority of ldirectord to extra to match the lowest priority
153- of any of its dependancies
154- * Add versioned conflicts on old pils and stonith packages to heartbeat and
155- heartbeat-dev, which include those old package's files.
156- (closes: #424053)
157- * Have the clean target of debian rules remove the following files that
158- are priovided by the orig.tar.gz - Debian packages can't delete files
159- - heartbeat-2-dev.dirs heartbeat-2-dev.files heartbeat-2.dirs
160- heartbeat-2.files heartbeat-2.postinst heartbeat-2.postrm
161- heartbeat-2.preinst ldirectord-2.files ldirectord-2.postinst
162- ldirectord-2.postrm
163- (closes: #424053)
164-
165- -- Simon Horman <horms@debian.org> Wed, 16 May 2007 13:58:24 +0900
166-
167-heartbeat (2.0.8-3) unstable; urgency=low
168-
169- * Rename source package from heartbeat-2 to heartbeat.
170- Previously the heartbeat source package was used to package
171- up the 1.2.X series of releases, and heartebat-2 was used
172- for the newer 2.0.X series of releases. The idea being to offer
173- stable "heartbeat" packages when the 2.0.X stuff was all
174- new. It turns out that the 2.0.X tree has been at least as
175- stable as the 1.2.X tree for quite a while now, and the 1.2.X doesn't
176- get much attention any more, so there seems little advantage in
177- having the separate source packages, except perhaps to create confusion
178- and extra work.
179- * Update curl build dependancy for libcurl4
180- Thanks to Christian Marillat
181- (closes: #423655)
182- * 2.0.8 (and probably earilier) includes the corrected scsi command syntax
183- Thanks to Christoph Martin
184- (closes: #350586)
185-
186- -- Simon Horman <horms@debian.org> Mon, 14 May 2007 12:13:03 +0900
187-
188-heartbeat-2 (2.0.8-2) unstable; urgency=low
189-
190- * Update build debendancy and rebuild against libsnmp10.
191- Somehow libsnmp9 has been removed from the distribution,
192- rendering heartbeat uninstallable.
193- Thanks to Steinar H. Gunderson
194- (closes: #422320)
195- * IPaddr2: Remove bashisms
196- Patch: ipaddr2-bashism.patch
197- Upstream: http://hg.linux-ha.org/dev/rev/165a9a897e3b
198- Thanks to Erich Schuebert
199- (closes: #420206)
200- * Fix up documentation location in /etc/ha.d/README.config
201- Thanks to Russell Coker
202- (closes: #418206)
203- * IPv6addr: Fix potential stack overflow in use of devname in scan_if
204- Patch: ipv6addr-21-char-devname.patch
205- Upstream: http://hg.linux-ha.org/dev/rev/37271ae7f117
206- * IPv6addr: Fix potential buffer overflow when a 128bit prefix is used
207- Patch: ipv6addr-find_if-overflow.patch
208- Upstream: http://hg.linux-ha.org/dev/rev/b4bc188b4ebe
209- * IPv6addr: Handle scanf failures in scan_if()
210- Patch: ipv6addr-scanf-return.patch
211- Upstream: http://hg.linux-ha.org/dev/rev/31d19acfd1b9
212- * Run autoconf to incoporate the chown-check-2.patch workaround
213- to allow the configure script to work under fakeroot.
214- I have no idea how this was not applied for 2.0.8-1 and yet
215- the build still worked.
216- * Change priority of ldirecord from optional to extra to
217- match the priority of its dependancies ipvsadm and libauthen-radius-perl
218-
219- -- Simon Horman <horms@debian.org> Sat, 05 May 2007 13:36:36 +0900
220-
221-heartbeat-2 (2.0.8-1) unstable; urgency=low
222-
223- * New Upstream
224- Thanks to Peter Clapham for his assistance
225- * errata: CVE-2006-3121 was incorrectly refered to as CVE-2006-3821 in
226- the changelog for 2.0.6-2 and 2.0.7-1
227- * Dropped the following patches as they are now upstream
228- - ldirectord-1.141-emailalert-2-global.patch (introduced in 2.0.6-2)
229- * Remove alternate dependancy on netkit-ping as it is being removed
230- from Debian (closes: #383987)
231-
232- -- Simon Horman <horms@debian.org> Tue, 30 Jan 2007 12:43:09 +0900
233-
234-heartbeat-2 (2.0.7-2) unstable; urgency=low
235-
236- * Add dependancy and build dependancy on psmisc for fuser
237- Thanks to Hans-Joachim Baader
238- (Closes: #400958)
239- * Acknowldge NMU by Roger Leigh (Closes: #383987)
240-
241- -- Simon Horman <horms@debian.org> Thu, 30 Nov 2006 02:26:24 +0000
242-
243-heartbeat-2 (2.0.7-1) unstable; urgency=low
244-
245- * New Upstream
246- * Dropped the following patches as they are now upstream
247- - ldirectord-1.141-emailalert-1-quiet.patch (introduced in 2.0.6-2)
248- - ldirectord-1.141-readline_workaround.patch (introduced in 2.0.6-2)
249- - CVE-2006-3821.patch (introduced in 2.0.6-2)
250-
251- -- Simon Horman <horms@debian.org> Mon, 14 Aug 2006 19:00:13 +0900
252-
253-heartbeat-2 (2.0.6-2) unstable; urgency=high
254-
255- * ldirectord-1.141-emailalert-1-quiet.patch
256- Don't send email alerts if the alert address is not configured
257- (closes: #378450)
258- * ldirectord-1.141-emailalert-2-global.patch
259- Allow emailalert and emailalertfreq directives to be global
260- as well as per-virtual service
261- * ldirectord-1.141-readline_workaround.patch
262- readline doesn't seem to return lines after Net::FTP
263- has been called, so split them up by hand.
264- * Added recommends iptables to heartbeat-2, as it is needed
265- for the portblock resource to function correctly
266- * Added /var/lib/heartbeat/pengine directory
267- (closes: #379071)
268- * Replace 02-chown-check.patch with chown-check-2.patch
269- - use the environement variable FAKED_MODE instead of FAKEROOTKEY to check
270- if code is runing in fakeroot. At some stage around fakeroot 1.5.10
271- FAKEROOTKEY disapeared. Ran autoconf manually to effect this change
272- after repatching.
273- - Updated 02-chown-check.patch: fix typos in comment
274- * CVE-2006-3821.patch
275- Fix remote denial of causes caused by insufficient bounds checking
276- on data read from the network.
277- CVE-2006-3821
278- * Python transition - http://wiki.debian.org/DebianPython/NewPolicy
279- (closes: #380842)
280- - Update build dependancy on debhelper from (>= 4.0.0) to (>= 5.0.37.2)
281- - Add dh_python call to debian/rules
282- - created debian/pycompat with contents of "2"
283- - heartebeat: deplaced depenancy on python with one on ${python:Depends}
284- - Added XB-Python-Version: ${python:Versions} to each package
285- - Replace build dependancy on python2.3-dev with one on python-dev
286- - Use python-central
287- + Add build depends on python-central (>= 0.5)
288- + Add dh_pycentral call right before dh_python in debian/rules
289- + Add XS-Python-Version: current in the source stanza of debian/control
290-
291- -- Simon Horman <horms@debian.org> Tue, 8 Aug 2006 18:49:00 +0900
292-
293-heartbeat-2 (2.0.5-8) unstable; urgency=low
294-
295- * ldirectord-2: Add missing dependancy on libmailtools-perl
296- (Mail::Send)
297- (closes: #376722)
298- * ldirectord-2: Add missing dependancy on libnet-perl
299- (Net::SMTP, Net::FTP, Net::POP3)
300- * ldirectord-2: Remove unneccesary dependancy on adduser
301- * Automake transition: http://wiki.debian.org/AutomakeTransition
302- - Remove unneccesary build-depends on automake1.9 | automaken
303- - Remove unneccesary build-conflicts on automake1.4
304-
305- -- Simon Horman <horms@debian.org> Wed, 5 Jul 2006 10:55:00 +0900
306-
307-heartbeat-2 (2.0.5-7) unstable; urgency=low
308-
309- * Don't run deluser and delgroup in postrm
310- - These commands may not be available at this time (closes: #375941)
311- - If there are any files left that belong to this user or group
312- then they will be left unowned and get inhereited by the
313- next user that comes along that happens to have hacluster's
314- old userid or the old haclient groupid respectively.
315-
316- -- Simon Horman <horms@debian.org> Thu, 29 Jun 2006 15:13:26 +0900
317-
318-heartbeat-2 (2.0.5-5) unstable; urgency=low
319-
320- * Reverse the change made in 2.0.5-4
321- It turns out that in heartbeat-2 (as opposed to heartbeat)
322- is a script which calls a binary that is located in
323- /usr/lib/ocf/resource.d/heartbeat/
324-
325- -- Simon Horman <horms@debian.org> Mon, 12 Jun 2006 17:19:52 +0900
326-
327-heartbeat-2 (2.0.5-4) unstable; urgency=low
328-
329- * Move IPv6addr from /etc/ha.d/resource.d/ into /usr/lib/heartbeat,
330- and then symlink that back into /etc/ha.d/resource.d/ as binaries
331- are not allowed in /etc (closes: #372850)
332-
333- -- Simon Horman <horms@debian.org> Mon, 12 Jun 2006 16:23:59 +0900
334-
335-heartbeat-2 (2.0.5-3) unstable; urgency=low
336-
337- * Fix libgnutls binary dependancy
338- - Build-Depends on libgnutls-dev instead of libgnutls13-dev
339- - Recompile against libgnutls13 in place of libgnutls11
340- - (closes: #370423)
341-
342- -- Simon Horman <horms@debian.org> Mon, 5 Jun 2006 17:57:23 +0900
343-
344-heartbeat-2 (2.0.5-2) unstable; urgency=low
345-
346- * Make use of invoke-rc.d (closes: #367761)
347- * Update from standards versoin from 3.6.2 to 3.7.2
348-
349- -- Simon Horman <horms@debian.org> Fri, 19 May 2006 10:39:07 +0900
350-
351-heartbeat-2 (2.0.5-1) unstable; urgency=low
352-
353- * New Upstream
354- * Removed build depenancy on openssl-devel,
355- as heartbeat no longer uses openssl directly.
356- (Libraries that heartbeat depends on may in turn
357- depend on openssl creating an indirect depenancy
358- or build-dependancy).
359-
360- -- Simon Horman <horms@debian.org> Tue, 9 May 2006 11:55:52 +0900
361-
362-heartbeat-2 (2.0.4-1) unstable; urgency=low
363-
364- * New Upstream
365- * Don't try and stop heartbeat in preinst on the first install
366- (closes: #355719)
367-
368- -- Simon Horman <horms@debian.org> Wed, 8 Mar 2006 09:46:46 +0900
369-
370-heartbeat-2 (2.0.3-2) unstable; urgency=low
371-
372- * Add build dependancy on libncurses-dev to allow crm_mon to work
373- Thanks to Guy Coates
374- * Move hacluster user and haclient group creation (don't ask me why the
375- user and group names are different) from preinst to postinst.
376- Once upon a time there might have been a need for it in preinst,
377- but the current packaging changes files to have the hacluster user
378- and haclient group as neccessary in the postinst. So there is
379- no need to create them before postinst.
380- This is a better fix to #352158, and the pre-depends on adduser
381- has been changed to a depends accordingly.
382- (closes: #352158)
383- * Stop heartbeat in preinst
384-
385- -- Simon Horman <horms@debian.org> Tue, 14 Feb 2006 13:42:37 +0900
386-
387-heartbeat-2 (2.0.3-1) unstable; urgency=low
388-
389- * New Upstream
390- * Make sure adduser is passed the --system flag
391- (closes: #336580)
392- * Slightly Enhanced package descriptions
393- (closes: #337030)
394- * Add build dependancy on swig
395- * As PYTHON_PATH has been added to configure.in it seems that autoconf1.4
396- can no longer build this tree. Currently autoconf is provided by
397- autoconf1.4, and autoconfn is a virtual package provided by autoconf1.7,
398- 1.8 and 1.9. Accordingly, replace the autoconf build dependancy with
399- autoconf1.9 | autoconfn. And add a build conflict on autoconf1.4. This
400- way the autoconf command should be autoconf1.7, 1.8 or 1.9, but not 1.4
401- as was previously the case.
402- * Don't apply 00-ssh_scp_path.patch as it should no longer be needed,
403- instead add a build dependancy on openssh-client.
404- Also removed call to relevant configure options.
405- * Removed configure option that no longer exists
406- --enable-checkpointd
407- * Removed configure options that are now on by default
408- --enable-crm --enable-lrm
409- * Add build dependancy on libgnutls11-dev, as 1.0 probably doesn't
410- compile as _t types don't exist.
411- http://lists.gnu.org/archive/html/help-gnutls/2004-08/msg00001.html
412- * Fix insonsistency between hb_stanby(1) man page, an the wiki
413- (closes: #339016)
414- * Make /usr/bin/cl_status setgid
415- (closes: #351178)
416- * Make sure that /var/run/heartbeat/{ccm,crm} exist on install
417- else postinst, and thus the install will abort.
418- (closes: #351181)
419- * Fix inconsistency between hb_standb(1) man page and wiki
420- (closes: #339016)
421- * Add Pre-Depends on adduser
422- (closes: #352158)
423- * Add management tool
424- ./confgure --enable-mgmt
425- Build-Depends: python2.3-dev, libpam0g-dev
426-
427- -- Simon Horman <horms@debian.org> Sat, 11 Feb 2006 09:41:17 +0000
428-
429-heartbeat-2 (2.0.2-5) unstable; urgency=low
430-
431- * Change libcurl3-dev dependancy to libcurl3-openssl-dev
432- (closes: #334622)
433-
434- -- Simon Horman <horms@debian.org> Wed, 19 Oct 2005 19:09:51 +0900
435-
436-heartbeat-2 (2.0.2-4) unstable; urgency=low
437-
438- * Include /var/lib/heartbeat/ccm and /var/run/heartbeat/crm
439- (closes: #330634)
440-
441- -- Simon Horman <horms@debian.org> Thu, 29 Sep 2005 12:16:03 +0900
442-
443-heartbeat-2 (2.0.2-3) unstable; urgency=low
444-
445- * Get rid of bogus touching of config.status and friends in clean target,
446- which if run as root causes build failures.
447-
448- -- Simon Horman <horms@debian.org> Tue, 27 Sep 2005 22:28:01 +0900
449-
450-heartbeat-2 (2.0.2-2) unstable; urgency=low
451-
452- * Add build dependancy on libltdl3-dev
453- (closes: #330194)
454-
455- -- Simon Horman <horms@debian.org> Tue, 27 Sep 2005 20:38:12 +0900
456-
457-
458-heartbeat-2 (2.0.2-1) unstable; urgency=low
459-
460- * New upstream
461-
462- -- Simon Horman <horms@debian.org> Mon, 26 Sep 2005 15:11:23 +0900
463-
464-heartbeat-2 (2.0.1-4) unstable; urgency=low
465-
466- * Add /var/run/heartbeat directory to package
467- http://www.osdl.org/developer_bugzilla/show_bug.cgi?id=900
468-
469- -- Simon Horman <horms@debian.org> Sat, 24 Sep 2005 14:56:51 +0900
470-
471-heartbeat-2 (2.0.1-3) unstable; urgency=low
472-
473- * Restrurctured provides, conflicts and replaces
474- * Made heartbeat-2-dev depend on heartbeat-2, not heartbeat
475-
476- -- Simon Horman <horms@debian.org> Thu, 22 Sep 2005 17:24:19 +0900
477-
478-heartbeat-2 (2.0.1-2) unstable; urgency=low
479-
480- * Uptream initally made the wrong tar ball avaliable for
481- 2.0.1 and this was used to build 2.0.1-1.
482- I have asked 2.0.1-1 not to be accepted into the Debian Archive
483- for this reason. 2.0.1-2 uses the updated, correct tarball from
484- upstream.
485-
486- * Note that this package has a binary dependancy on libssl
487- only because of linking against libsnmp9 (5.2.1.2-3)
488-
489- * Add build dependancy on libsensors-dev (for libsnmp9)
490-
491- -- Simon Horman <horms@debian.org> Thu, 22 Sep 2005 12:56:11 +0900
492-
493-heartbeat-2 (2.0.1-1) unstable; urgency=low
494-
495- * New upstream
496-
497- * Add /var/lib/heartbeat/cores/root, /var/lib/heartbeat/cores/hacluster
498- and /var/lib/heartbeat/cores/nobody
499- * Remove usr/lib/stonith/plugins/stonith2/riloe.so, its
500- no longer in the tree
501- * Enable snmp_agent
502- * Added new libplumbgpl
503- * Added new ha_logd.cf
504- * Added new iso8601 executable
505- * Temporarly remove the drac3 module as GPL code that links
506- against OpenSSL is not acceptable to Debian.
507- - http://lists.community.tummy.com/pipermail/linux-ha-dev/2005-August/011266.html
508- - http://www.osdl.org/developer_bugzilla/show_bug.cgi?id=853
509- * Update build dependncy from libsnmp5-dev to libsnmp9-dev
510- * Make configure chown test fakeroot aware to avoid build hang
511- * Fix syntax error in db OCF resource
512- * Make crm/test/helper.sh have #! /bin/bash
513- * Make resources/OCF/ocf-shellfuncs.in have #! /bin/bash
514- * Update FSF address
515- * Zero config.status, libltdl/config.log and libltdl/config.status on clean
516-
517- -- Simon Horman <horms@debian.org> Thu, 15 Sep 2005 20:24:52 +0900
518-
519-heartbeat-2 (2.0.0-2) unstable; urgency=low
520-
521- * Add /var/lib/heartbeat/ccm and /var/lib/heartbeat/cores
1+pacemaker (0.0.1) unstable; urgency=low
5222
523- -- Simon Horman <horms@debian.org> Wed, 3 Aug 2005 22:54:35 +0900
524-
525-heartbeat-2 (2.0.0-1) unstable; urgency=low
526-
527- * New upstream
528- * Added dependancy on libnet-dns-perl to ldirectord
529- * Added --enable-checkpointd to configure arguments
530- * Added --disable-snmp-subagent to configure arguments
531- * Added --disable-swig to configure arguments
532- * Add build dependancy on uuid-dev
533- * Readranged packages to allow heartbeat 1.2.X to exist in debian
534- and heartebat 2.X to be heartbeat-2 until heartbeat-2 gets
535- a bit more testing in the wild. Also consoldidated binary
536- packages into heartbaet-2, and development packages into
537- heartbeat-2-dev, ldirectord is still in its own package,
538- ldirectord2, as it drags in a lot of dependancies that
539- no other part of the system uses.
540-
541- -- Simon Horman <horms@debian.org> Sat, 30 Jul 2005 16:20:55 +0900
542-
543-heartbeat (1.2.3-12) unstable; urgency=high
544-
545- * 11-tmpfile-problems.patch, 12-tmpfile-problems-2.patch
546- Don't use predictable temp files
547- [heartbeat/lib/BasicSanityCheck.in, heartbeat/resource.d/WAS.in
548- lib/plugins/stonith/meatware.c, lib/stonith/meatclient.c,
549- cts/CM_hb.py.in, cts/CTStests.py.in CAN-2005-2231] (closes: #318287)
550- * debian/apply
551- Apply patches in the correct order.
552- * 12-tmpfile-problems-2.patch
553- Added CTS back in with security fix
554- [usr/lib/heartbeat/cts/CM_fs.py, usr/lib/heartbeat/cts/CM_hb.py,
555- usr/lib/heartbeat/cts/CTS.py, usr/lib/heartbeat/cts/CTSaudits.py,
556- usr/lib/heartbeat/cts/CTSlab.py, usr/lib/heartbeat/cts/CTStests.py
557- CAN-2005-2231]
558- * 13-confdir.patch
559- Change CONF_D defined (and missing) in some resources
560- to HA_CONFDIR in shelfuncs, allowing arp_config to function
561- correctly in IPaddr2 and SendArp. (closes: #318266)
562- * debian/rules
563- Include cts documentation
564- * 14-ipadd2_no_loopback_delete.patch
565- Fix IPaddr2 so it doesn't remove loopback interfaces on stop
566- * 15-LVM2.patch
567- Allow the LVM resource to work with LVM2 as well as LVM1
568- (closes: #309906)
569- * Upgrade Standards-Version from 3.6.1 to 3.6.2
570-
571- -- Simon Horman <horms@debian.org> Mon, 18 Jul 2005 22:27:29 +0200
572-
573-heartbeat (1.2.3-10) unstable; urgency=low
574-
575- * Make signal handling less aggressive to avoid exiting in
576- FTP and LDAP chacks. (closes: #310600)
577-
578- -- Simon Horman <horms@debian.org> Fri, 17 Jun 2005 18:17:03 +0900
579-
580-heartbeat (1.2.3-9) unstable; urgency=low
581-
582- * Stop heartbeat in preinst so starting it in postinst
583- wont cause an error if it was already running.
584- (closes: #303149)
585-
586- -- Simon Horman <horms@debian.org> Tue, 5 Apr 2005 15:57:44 +0900
587-
588-heartbeat (1.2.3-8) unstable; urgency=low
589-
590- * Added dependancy on libnet-dns-perl to ldirectord
591- * Removed Build-Dependancy on raidtools2 as it is being removed
592- from the archive and removed the Raid1 resource from the
593- heartbeat package accordingly. (closes: #296717)
594- * Added build dependancy on bison and flex.
595-
596- -- Simon Horman <horms@debian.org> Tue, 22 Mar 2005 13:20:18 +0900
597-
598-heartbeat (1.2.3-7) unstable; urgency=low
599-
600- * Remove the hacluser user and haclient group on purge. (closes: #29951)
601- * Note the Delay resource bug closed in 1.2.3-4 was #287848, not #28784.
602-
603- -- Simon Horman <horms@debian.org> Tue, 15 Mar 2005 12:30:45 +0900
604-
605-heartbeat (1.2.3-5) unstable; urgency=low
606-
607- * Added missing libxml2-dev build dependancy that is required
608- for the drac3 stonith module to build. (closes: #290235)
609-
610- -- Simon Horman <horms@debian.org> Fri, 14 Jan 2005 16:23:48 +0900
611-
612-heartbeat (1.2.3-4) unstable; urgency=low
613-
614- * Move user and group creation code from postinst to preinst
615- (Jochen Friedrich) (closes: #285603)
616- * Don't set uid of user that is created
617- (Daniel Hermann) (closes: #288818)
618- * Stonith module for EXTERNAL Stonith device
619- (Daniel Hermann) (closes: #286274)
620- * Remove control fifo in postrm
621- * Fix gcc-4.0 compile problems (Andreas Jochens) (closes: #286347)
622- * Removed stray heartbeat-stonith.files and heartbeat-ldirectord.files
623- from debian/, these have not been used for quite some time now.
624- * Added build dependancy on libcurl-dev to allow drac3 Stonith device to build
625- * Added drac3 Stonith device to build
626- * Add --disable-fatal-warnings to ./configure in debian/rules,
627- this is known not to work cleanly with debian's lex and yacc.
628- Also, reverse 02-lex_yacc_cflags.patch, which is an attempt to
629- work around this, which doesn't always work.
630- * Fix loop in FIFO reader that manifests on SPARC/Linux
631- (Jochen Friedrich) (closes: #285356)
632- * Fix typo in Delay resource that causes both stop and start to fail
633- (Daniel Hermann) (closes: #28784)
634-
635- -- Simon Horman <horms@debian.org> Wed, 12 Jan 2005 12:22:01 +0900
636-
637-heartbeat (1.2.3-3) unstable; urgency=low
638-
639- * Removed /etc/ha.d/resource.d/apache as it does not work
640- properly _on Debian_ and by removing it /etc/init.d/apache will be used
641- which does work. Reported by Fraser Campbell. (closes: #283447)
642- * Update ldirectord from 1.77.2.5 to 1.77.2.6 for https bug.
643- http://www.gossamer-threads.com/lists/linuxha/users/22059
644- Requested by Amadeus Scherhaufer.
645-
646- -- Simon Horman <horms@debian.org> Wed, 1 Dec 2004 16:35:59 +0900
647-
648-heartbeat (1.2.3-2) unstable; urgency=low
649-
650- * Fixed a bug related to repeat STONITHs failing because we freed some
651- data we shouldn't have.
652- * Don't run exclude cl_status from dh_fixperms as it overrides permissions
653- that the build system sets which are needed for correct opperation.
654-
655- -- Simon Horman <horms@debian.org> Tue, 16 Nov 2004 15:54:28 +0900
656-
657-heartbeat (1.2.3-1) unstable; urgency=low
658-
659- * New Upstream
660- - Incoporate init script patch from 1.2.2-12 (Bug#268670)
661- - Incoporate ssh dependancy patch from 1.2.2-11
662- - All other changes were merged upstream for 1.2.3
663- * Added patch manager from kernel-source-2.4.27 to keep debian
664- specific and otherwise unmerged patches in order
665-
666- -- Simon Horman <horms@debian.org> Tue, 21 Sep 2004 16:05:46 +0900
667-
668-heartbeat (1.2.2-12) unstable; urgency=low
669-
670- * Backport send ARP from head branch
671- - broadcast works with -C
672- - -C is documented
673- - (closes: Bug#262288)
674- * Some init scipts tell us that they are not running,
675- heartbeat mistakenly just sees "running" and assumes they are.
676- - Fix by adding the following to ResourceManager(.in)
677- case `$spath $arg status` in
678- -> *not [Rr]unning*) return 3;;
679- *[Rr]unning*|*OK*) return 0;;
680- *) return 3;;
681- esac
682- - (closes: Bug#268670)
683- * Remove config.log in clean target of rules file
684-
685- -- Simon Horman <horms@debian.org> Mon, 30 Aug 2004 12:21:20 +0900
686-
687-heartbeat (1.2.2-11) unstable; urgency=medium
688-
689- * Remove build dependancy on ssh as the package has ongoing
690- install problems on arm and this is preventing this package
691- from moving into sarge. Instead, provide configure options
692- to specify the path to ssh and scp.
693-
694- -- Simon Horman <horms@debian.org> Mon, 26 Jul 2004 12:00:37 +0900
695-
696-heartbeat (1.2.2-10) unstable; urgency=low
697-
698- * Revert to tar ball that was used for previous (> 1.2.2-9) builds.
699- You can't modify the tar ball on debian.org !!! (silly me)
700-
701- -- Simon Horman <horms@debian.org> Wed, 7 Jul 2004 12:17:28 +0900
702-
703-heartbeat (1.2.2-9) unstable; urgency=low
704-
705- * Fix sequence number wrap in ping_group
706- (Patched ping_group.c from 1.10 to 1.11)
707- * Build against tar ball from linux-ha.org
708- A locally produced tar ball had been used in the past (my mistake)
709-
710- -- Simon Horman <horms@debian.org> Wed, 7 Jul 2004 11:20:41 +0900
711-
712-heartbeat (1.2.2-8) unstable; urgency=low
713-
714- * The previous version never made it into testing because
715- the build failed on arm because the ssh package was broken
716- at the time. I have not had any luck contacting someone to
717- rebuild the package.
718- * Updated ldirectord to 1.77.2.4 (from 1.77.2.2).
719- Fixes a problem where real servers present in multiple
720- virtuals would only be added to one virtual service.
721-
722- -- Simon Horman <horms@debian.org> Wed, 23 Jun 2004 17:01:26 +0900
723-
724-heartbeat (1.2.2-7) unstable; urgency=low
725-
726- * Link the apcmastersnmp stonith module against libsnmp
727-
728- -- Simon Horman <horms@debian.org> Fri, 4 Jun 2004 16:07:49 +0900
729-
730-heartbeat (1.2.2-5) unstable; urgency=low
731-
732- * Fixed alignment error in IPv6addr.c that manifests on ia64
733- (closes: Bug#249847)
734-
735- -- Simon Horman <horms@debian.org> Thu, 20 May 2004 11:20:47 +0900
736-
737-heartbeat (1.2.2-4) unstable; urgency=low
738-
739- * Put back inary-arch and binary-indep targets
740- (closes: Bug#188835) (closes: Bug#249606)
741- * Put the prioroty of all packages, except ldirectord back to optional
742- Left ldrirectord as optional as it depends on ipvsadm,
743- which is optional.
744-
745- -- Simon Horman <horms@debian.org> Wed, 19 May 2004 12:21:54 +0900
746-
747-heartbeat (1.2.2-3) unstable; urgency=low
748-
749- * Package provides /etc/ha.d and /etc/heartbeat
750- (actually fixed in 1.2.2-2) (closes: Bug#222712)
751- * There is a known limitation with ifconfig's handling of
752- long interface names. Use IPadd2, which used the ip command,
753- instead. (Fixed in upstream) (closes: Bug#229978)
754- * New upstream (closes: Bug#248611)
755- * Heartbeat package does not use debconf anymore
756- (Fixed a while ago) (closes: Bug#189932)
757- * Evms seems to no longer depend on heartbeat.
758- (closes: Bug#207607)
759- * Made dependancy on libnet1-dev instead of
760- libnet1-dev | libnet0-dev | libnet-dev.
761- - libnet0-dev is in setction oldlibs in stable
762- - allows IPv6addr to be included.
763- * Include IPv6addr
764- * Made dependancy on libssl-dev instead of libssl-dev | libssl09-dev
765- as libssl09-dev is not in stable.
766- * Changed priority to extra as that is the lowest common
767- denominator of our dependancies.
768-
769- -- Simon Horman <horms@debian.org> Tue, 18 May 2004 12:54:30 +0900
770-
771-heartbeat (1.2.2-2) unstable; urgency=low
3+ * Dummy changelog entry
7724
773- * New Upstream
774- * ldirectord uses host portion of request string as documented in
775- the man page. (closes: Bug#242220)
776- * ldirectord check_ftp no longer uses pipes. (closes: Bug#243157)
777- * The binary-arch and binary-indep targets did not conform to Debian policy.
778- It is rather difficult to implement them correctly given the heartbeat
779- build system, and the policy allows them not to exist. (closes: Bug#188835)
780- * Added dependancy on libmail-imapclient-perl. (closes: Bug#242077)
781- * The timestamp overflow was fixed long time ago.
782- (closes: Bug#239683) (closes: Bug#239687)
783- * inet_aton is no longer used in mcast.c (closes: Bug#239684)
784- * Patch is superseeded by much newer codebase
785- (closes: #239685) (closes: Bug#239686)
786- * Init script no longer uses -e argument to echo. (closes: Bug#136541)
787- * Plugins no longer need to be executable. (closes: Bug#247348)
788- (closes: Bug#247485)
789- * Merged debian packaging in Debian Unstable pool with the
790- linux-ha tree.
791-
792- -- Simon Horman <horms@debian.org> Fri, 14 May 2004 12:32:26 +0900
793-
794-heartbeat (1.2.0-2) unstable; urgency=low
795-
796- * Added Depends on libmail-imapclient-perl to ldirectord.
797- (Closes: #242077) Thanks Cyril Bouthors for noticing.
798-
799- -- Alberto Gonzalez Iniesta <agi@agi.as> Mon, 5 Apr 2004 09:11:03 +0200
800-
801-heartbeat (1.2.0-1) unstable; urgency=low
802-
803- * The 'My f*cking Toshiba HD crashed and delayed everything' release
804- * New upstream release
805-
806- -- Alberto Gonzalez Iniesta <agi@agi.as> Tue, 16 Mar 2004 20:24:24 +0100
807-
808-heartbeat (1.0.4-3) unstable; urgency=low
809-
810- * Corrected default paths to Apache binary and configuration file.
811- (Closes: #230042)
812- * Corrected typo in heartbeat-dev description (Closes: #230639)
813- * Corrected grammatical confusion in template (Closes: #232459)
814- * Actually correct permissions on /var/lib/heartbeat/ccm.
815- (Closes: #233021)
816-
817- -- Alberto Gonzalez Iniesta <agi@agi.as> Wed, 28 Jan 2004 07:36:17 +0100
818-
819-heartbeat (1.0.4-2) unstable; urgency=low
820-
821- * Improved haclient user and group creation/deletion [postinst & postrm]
822- Make use of gentent instead of greping /etc/(passwd|group)
823- Inspired by Horms' packages ;)
824- * Moved to debhelper compatability 4. Created debian/compat.
825- * Avoid failing while moving contents from old configuration dir to
826- new one if expected contents are not found.
827- (Closes: #221546)
828- * Removed README.config from /etc (Closes: #222708)
829- * Make 'daemon' be the default syslog facility for heartbeat
830- (Closes: #226600)
831- * Corrected owner and permissions under /var/lib/heartbeat
832- (Closes: #228505)
833- * Make libstonith0 depend on libsnmp5. Thanks Stefan Beck for noticing.
834- (Closes: #228544)
835- * Make libstonith0 depend on libssl0.9.7. Why the f*ck does dpkg-shlibdeps
836- not find these?
837- * Make heartbeat start later and stop sooner (S75 and K05) so that it
838- won't f*ck drbd. Thanks Stefan Schleifer for noticing.
839- Created a debconf template to ask if the change should be done when
840- upgrading from previous versions.
841- * Fixed debconf template text for directory movement.
842-
843- -- Alberto Gonzalez Iniesta <agi@agi.as> Wed, 12 Nov 2003 15:05:00 +0100
844-
845-heartbeat (1.0.4-1) unstable; urgency=low
846-
847- * New upstream release
848- * Bumped Standards-Version to 3.6.1. No change
849- * Removed debconf supported configuration of heartbeat.
850- It was buggy, and a pain to debug. I'd rather not have it
851- on sarge. (Closes: #204775) I'll work on a new one when time
852- permits.
853-
854- -- Alberto Gonzalez Iniesta <agi@agi.as> Sat, 4 Oct 2003 17:36:40 +0200
855-
856-heartbeat (1.0.3-3) unstable; urgency=low
857-
858- * Removed deletion of fifo files in heartbeat.prerm
859- (That shouldn't be done there. It broke dpkg-reconfigure)
860- * Added Depends on libwww-perl and libnet-ssleay-perl
861- (Closes: #142297)
862- * libstonith-dev's Section is now libdevel (Closes: #188206)
863-
864- -- Alberto Gonzalez Iniesta <agi@agi.as> Sun, 13 Jul 2003 17:13:43 +0200
865-
866-heartbeat (1.0.3-2) unstable; urgency=low
867-
868- * Fixed sections for libstonith-dev, it's libdevel
869-
870- -- Alberto Gonzalez Iniesta <agi@agi.as> Sat, 12 Jul 2003 20:10:59 +0200
871-
872-heartbeat (1.0.3-1) unstable; urgency=low
873-
874- * The 'debcamp' release
875- * New upstream release
876- * Added build-depends on iputils-ping, I hoped it wouldn't be
877- necessary. (Closes: #200938)
878- * Also added Depends on iputils-ping. That's the ping package
879- with the ping syntax we need (Closes: #170799)
880- * The heartbeat.config from 0.4.9.2-1 did 'cut' the right way
881- (Closes: #166065)
882- * Added missing db_stop in heartbeat.postinst
883- (Closes: #199484)
884- * /usr/lib/heartbeat/ResourceManager now has the right path to
885- init.d scripts (Closes: #169865)
886- * Made Simon Horman <horms@vergenet.net> a co-maintainer
887-
888- -- Alberto Gonzalez Iniesta <agi@agi.as> Sat, 12 Jul 2003 12:13:03 +0200
889-
890-heartbeat (1.0.2-1) unstable; urgency=low
891-
892- * New upstream release (Closes: #186900)
893- * New maintainer (Closes: #192680)
894- * Bumped Standards-Version to 3.5.10
895- * Patched ha_msg.c to fix format string bug (Closes: #199016)
896-
897- -- Alberto Gonzalez Iniesta <agi@agi.as> Wed, 02 Jul 2003 00:11:24 +0200
898-
899-heartbeat (0.4.9.2-3.1) unstable; urgency=low
900-
901- * Use -r instead of -R for ipvsadm. Thanks to Sergio Talens-Oliag.
902- (Closes: #147290)
903- * Fix lintian errors by removing *.conffiles.
904-
905- -- James Morrison <phython@debian.org> Sat, 29 Mar 2003 14:56:12 -0500
906-
907-heartbeat (0.4.9.2-3) unstable; urgency=low
908-
909- * fixed a build bug caused by a buggy ld - I don't know if ld still
910- has that problem (it doesn't seem to me), but anyway it's done.
911- (closes: #129361)
912-
913- -- Michael Moerz <mikem@debian.org> Tue, 15 Oct 2002 12:44:05 +0200
914-
915-heartbeat (0.4.9.2-2) unstable; urgency=low
916-
917- * and again I was caught by that groupadd in the Makefiles
918- this is fixed now (closes: 164773)
919-
920- -- Michael Moerz <mikem@debian.org> Tue, 15 Oct 2002 02:08:52 +0200
921-
922-heartbeat (0.4.9.2-1) unstable; urgency=low
923-
924- * new upstream release
925- * fixed cut problem (caused by missing escape sequences)
926- (closes: #130895, #131253, #131259)
927- * corrected missing Depends on adduser (closes: #147661)
928- * corrected problem with install and duplicate files (closes: #162446)
929- * fixed false assumption about possition of fuser from /sbin to /bin
930- * changed configuration directory from /etc/ha.d to /etc/heartbeat
931- * added the essential question if the user wants to use debconf
932- for the configuration of heartbeat
933-
934- -- Michael Moerz <mikem@debian.org> Mon, 14 Oct 2002 11:30:52 +0200
935-
936-heartbeat (0.4.9.0l-7.2) unstable; urgency=low
937-
938- * corrected wrong dependency (on lvs) (Closes: #141922)
939-
940- -- Michael Moerz <mikem@debian.org> Sun, 28 Apr 2002 02:31:57 +0200
941-
942-heartbeat (0.4.9.0l-7.1) unstable; urgency=high
943-
944- * Non-maintainer upload, trying to get a release into woody
945- * Use ifconfig <interface> 0 instead of ifconfig <interface> down
946- (Closes: #129779)
947-
948- -- Matt Zimmerman <mdz@debian.org> Sat, 2 Mar 2002 22:49:32 -0500
949-
950-heartbeat (0.4.9.0l-7) unstable; urgency=low
951-
952- * removed call of groupadd in hearbeat/Makefile (Closes: #121244)
953- * heartbeat depends on system-log-daemon instead of sysklogd.
954- (Closes: #120721)
955- * corrected the soname of libhbclient from .0.0.0 to
956- libhbclient.so.0.0.0
957- * removed debian/.shlibs files since they are autogenerated now
958- by dh_makeshlibs -V
959- * removed some log file that remained in debian/ from testing and
960- debugging the debconf interface
961-
962- -- Michael Moerz <mikem@debian.org> Thu, 13 Dec 2001 03:14:42 +0100
963-
964-heartbeat (0.4.9.0l-6) unstable; urgency=low
965-
966- * this time I hope I got it right with the sections of the several packages
967- involved
968- * heartbeat is up to date now (Closes: #79946, #90521, #63259)
969- * /usr/lib/heartbeat/ResourceManager: renamed init.d directory
970- (Closes: #89598)
971- * A newer README.Debian added (Closes: #94469)
972-
973- -- Michael Moerz <mikem@debian.org> Mon, 12 Nov 2001 20:27:59 +0100
974-
975-heartbeat (0.4.9.0l-5) unstable; urgency=low
976-
977- * an other forgotten debug statement that caused trouble (Closes: #118984)
978- * fixed some missing ldconfig in heartbeat.postinst and heartbeat.postrm
979- * fixed so version in heartbeat.shlibs
980-
981- -- Michael Moerz <mikem@debian.org> Sat, 10 Nov 2001 19:21:19 +0100
982-
983-heartbeat (0.4.9.0l-4) unstable; urgency=low
984-
985- * corrected section of ldirectords and stoniths to section admin
986- * corrected wrong dependency of ldirectord to lvs (ipvsadm)
987-
988- -- Michael Moerz <mikem@debian.org> Sat, 10 Nov 2001 11:43:22 +0100
989-
990-heartbeat (0.4.9.0l-3) unstable; urgency=low
991-
992- * corrected my faulty control file - so 0l-2 and 0l-1 never ever made
993- it into the archive
994-
995- -- Michael Moerz <mikem@debian.org> Fri, 9 Nov 2001 00:49:11 +0100
996-
997-heartbeat (0.4.9.0l-2) unstable; urgency=low
998-
999- * removed some debug output causing a file testj to be written in the
1000- current directory
1001-
1002- -- Michael Moerz <mikem@debian.org> Thu, 8 Nov 2001 01:34:30 +0100
1003-
1004-heartbeat (0.4.9.0l-1) unstable; urgency=low
1005-
1006- * taking package after talking to Paolo Molaro - well I was really lazy
1007- cause it took me a lot of time to create a working new package, but I
1008- hope the debconf interface was worth the waiting ...
1009- * Updated for 0.4.9.0l
1010- * modified package to fit policy 3.5.3.0
1011- * added Build Depends
1012- * added debconf support for heartbeat
1013- * wrote a very short manpage for stonith and meatclient
1014-
1015- -- Michael Moerz <mikem@debian.org> Tue, 8 Nov 2001 22:56:01 +0200
1016-
1017-heartbeat (0.4.6-2.2) frozen unstable; urgency=low
1018-
1019- * NMU
1020- * Fix Build-depends, this time with source. Closes: #105837
1021-
1022- -- LaMont Jones <lamont@debian.org> Wed, 15 Aug 2001 23:48:09 -0600
1023-
1024-heartbeat (0.4.6-2) frozen unstable; urgency=low
1025-
1026- * Fix ugly bug with prerm (Closes: bug#56671). To the release manager:
1027- get this in potato as that bug is really annoying (endless loop
1028- with the yes program when uninstalling). You still need to kill or Crtl-C
1029- the prerm script, as it seems it's not possible to override
1030- a broken prerm script before it's run by dpkg.
1031- * Applied little patch from Terry Katz to make IPAddr work correctly
1032- with multiple similar IPs on the same pc (Closes: bug#55925).
1033-
1034- -- Paolo Molaro <lupus@debian.org> Mon, 7 Feb 2000 15:36:38 +0100
1035-
1036-heartbeat (0.4.6-1) unstable; urgency=low
1037-
1038- * New upstream release.
1039-
1040- -- Paolo Molaro <lupus@debian.org> Thu, 2 Dec 1999 16:51:41 +0100
1041-
1042-heartbeat (0.4.5a-1) unstable; urgency=low
1043-
1044- * Initial Release.
1045-
1046- -- Paolo Molaro <lupus@debian.org> Wed, 17 Nov 1999 17:30:23 +0100
5+ -- Andrew Beekhof <andrew@beekhof.net> Mon, 29 Oct 2007 15:37:49 +0900
10476
10487 Local variables:
10498 mode: debian-changelog
Show on old repository browser